CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes
csl::FAllpass Class Reference

All-pass filter class. More...

`#include <Freeverb.h>`

List of all members.

## Public Member Functions
| FAllpass ()
void | mute ()
float | feedback ()
void | setFeedback (float val)
void | setBuffer (float *buf, int size)
float | process (float inp)

## Private Attributes
float | mFeedback
float * | mBufferPtr
int | mBufSize
int | mBufIdx

## Detailed Description

All-pass filter class.

Definition at line 92 of file Freeverb.h.

## Constructor & Destructor Documentation

csl::FAllpass::FAllpass | ( |  | ) |
| inline

Definition at line 94 of file Freeverb.h.

## Member Function Documentation

void FAllpass::mute | ( |  | ) |

Definition at line 64 of file Freeverb.cpp.

References mBufferPtr, and mBufSize.

float csl::FAllpass::feedback | ( |  | ) |
| inline

Definition at line 97 of file Freeverb.h.

References mFeedback.

void csl::FAllpass::setFeedback | ( | float | val | ) |
| inline

Definition at line 98 of file Freeverb.h.

References mFeedback.

Referenced by csl::Freeverb::constructReverbGraph().

void FAllpass::setBuffer | ( | float * | buf,
|  | int | size
| ) |  |

Definition at line 59 of file Freeverb.cpp.

References mBufferPtr, and mBufSize.

Referenced by csl::Freeverb::constructReverbGraph().

float csl::FAllpass::process | ( | float | inp | ) |
| inline

Definition at line 123 of file Freeverb.h.

References mBufferPtr, mBufIdx, mBufSize, mFeedback, and undenormalise.

## Member Data Documentation

float csl::FAllpass::mFeedback
| private

Definition at line 104 of file Freeverb.h.

Referenced by feedback(), process(), and setFeedback().

float* csl::FAllpass::mBufferPtr
| private

Definition at line 105 of file Freeverb.h.

Referenced by mute(), process(), and setBuffer().

int csl::FAllpass::mBufSize
| private

Definition at line 106 of file Freeverb.h.

Referenced by mute(), process(), and setBuffer().

int csl::FAllpass::mBufIdx
| private

Definition at line 107 of file Freeverb.h.

Referenced by process().

The documentation for this class was generated from the following files:

- CSL/Processors/Freeverb.h
- CSL/Processors/Freeverb.cpp